## itypes 1.2.0

=== requirements.txt ===
# Testing requirements
flake8
pytest

# Packaging requirements
wheel

## itypes 1.1.0

=== debian/changelog ===
itypes (1.1.0-4) unstable; urgency=medium

  * Team upload.

  [ Pierre-Elliott Bécue ]
  * d/copyright:
    + Remove redundant Copyright word to fix Mattia's OCD.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 10 Aug 2019 23:53:22 +0500

itypes (1.1.0-3) unstable; urgency=medium

  * d/control: Set Vcs-* to salsa.debian.org

 -- Ondřej Nový <onovy@debian.org>  Tue, 13 Feb 2018 10:15:15 +0100

itypes (1.1.0-2) unstable; urgency=medium

  * Drop git-dpm.
  * Use HTTPS URL for copyright Format:
  * Drop lintian-override

 -- Pierre-Elliott Bécue <becue@crans.org>  Wed, 07 Feb 2018 16:40:53 +0100

itypes (1.1.0-1) unstable; urgency=low

  * Initial release (Closes: #886800)

 -- Pierre-Elliott Bécue <becue@crans.org>  Wed, 10 Jan 2018 01:17:21 +0100

=== debian/control ===
Source: itypes
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Pierre-Elliott Bécue <becue@crans.org>
Homepage: https://github.com/tomchristie/itypes
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 11),
               dh-python,
               python3-all,
               python3-setuptools,
Standards-Version: 4.1.3
Testsuite: autopkgtest-pkg-python
Vcs-Git: https://salsa.debian.org/python-team/modules/itypes.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/itypes

Package: python3-itypes
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python3 basic immutable containers types library
 This package provides basic immutable container types for Python.
 .
 The classic use case of these is in circumstances where it may result in more
 comprehensible code, or when one wants to create custom types with restricted,
 immutable interfaces.
 .
 This package contains the python3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=itypes

%:
	dh $@ --with python3 --buildsystem=pybuild

## itypes 1.2.0

=== debian/changelog ===
itypes (1.2.0-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

  [ Antonio Terceiro ]
  * debian/watch: pull from github to get tests
  * New upstream version 1.2.0
  * Run tests during the build
  * Run tests under autopkgtest
  * Bump Standards-Version to 4.6.0; no changes needed

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 29 Nov 2021 16:22:10 -0300

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: itypes
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Pierre-Elliott Bécue <becue@crans.org>
 Homepage: https://github.com/tomchristie/itypes
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
-Standards-Version: 4.1.3
+               python3-pytest,
+Standards-Version: 4.6.0
 Testsuite: autopkgtest-pkg-python
-Vcs-Git: https://salsa.debian.org/python-team/modules/itypes.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/itypes
+Vcs-Git: https://salsa.debian.org/python-team/packages/itypes.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/itypes
 
 Package: python3-itypes
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=itypes
export PYBUILD_TEST_ARGS = tests.py
export PYBUILD_TEST_FILES = tests.py

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: cp tests.py ${AUTOPKGTEST_TMP} && cd ${AUTOPKGTEST_TMP} && python3 -m pytest tests.py
Depends: @, python3-pytest
Restrictions: allow-stderr
Features: test-name=test-suite

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/PavanTatikonda/itypes/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
